tags {git2r} | R Documentation

## Tags

### Description

Tags

### Usage

    tags(repo = ".")

### Arguments

`repo` | a path to a repository or a `git_repository` object. Default is '.'

### Value

list of tags in repository

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a user
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Commit a text file
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Create tag
    tag(repo, "Tagname", "Tag message")

    ## List tags
    tags(repo)

    ## End(Not run)

[Package git2r version 0.23.0 Index]